Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class GetParentGroupNameTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
                  |
                  +--com.bea.p13n.usermgmt.servlets.jsp.taglib.GetParentGroupNameTag

public class GetParentGroupNameTag
extends UserManagementTag

Corresponds to `<um:getParentGroupName>`.

The `<um:getParentGroupName>` tag retrieves the name of the parent of the `com.beasys.commerce.axiom.contact.Group` object associated with the provided groupName. The information is taken from the personalization database tables, and reflects the group hierarchy information as set up from the Group administration and Realm Configuration administration tools. The tag has no enclosed body.

Tag Attribute | Required | Type | Description
groupName | yes | String | The name of the group whose parent group name is sought. Example: "`<%=groupName%>`"
id | yes | String | A variable name to which the to which the name of the parent is available for the duration of the page's scope. Example: "parentGroupName"

See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`GetParentGroupNameTag()`

Method Summary
`int` | `doStartTag()` Go through the UserManager session bean to find the name of the given group's parent.
`java.lang.String` | `getGroupName()` Get the name of the group to query
`void` | `release()` Reset the tag attributes
`void` | `setGroupName(java.lang.String groupName)` Set the name of the group to query

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetParentGroupNameTag

    public GetParentGroupNameTag()

Method Detail

### setGroupName

    public void setGroupName(java.lang.String groupName)

  Set the name of the group to query

### getGroupName

    public java.lang.String getGroupName()

  Get the name of the group to query

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Go through the UserManager session bean to find the name of the given group's parent.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### release

    public void release()

  Reset the tag attributes

  Overrides:
    release in class UserManagementTag

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved